New cabal-install release (and schedule) needed

Andres Löh andres at
Mon Aug 27 23:12:06 CEST 2012

> We should bump the cabal-install package version to be the same as the Cabal
> package version, and increment both at the same time. It's deeply confusing
> to have the two out of sync.

Apart from 0 vs 1, this is already being done. I'm ok with bumping
cabal-install from 0.x to 1.x.

> I'd like to get rid of some old named branches that no longer have any
> value, e.g. cabal-1.2. Keeping tags around for a long time makes sense,
> branches do not.

Yes, I don't really see a problem there.


Andres Löh, Haskell Consultant
Well-Typed LLP,

More information about the cabal-devel mailing list